Package org.linphone.core

# Enum Class SubscriptionDir

java.lang.Object
java.lang.Enum<SubscriptionDir>
org.linphone.core.SubscriptionDir

All Implemented Interfaces:
  `Serializable`, `Comparable<SubscriptionDir>`, `Constable`

public enum SubscriptionDir extends Enum<SubscriptionDir>
Enum for subscription direction (incoming or outgoing).

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Incoming`
Incoming subscription.
`InvalidDir`
Invalid subscription direction.
`Outgoing`
Outgoing subscription.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static SubscriptionDir`
`fromInt(int value)`
`protected static SubscriptionDir[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(SubscriptionDir[] values)`
`static SubscriptionDir`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SubscriptionDir[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Incoming

public static final SubscriptionDir Incoming
Incoming subscription.

### Outgoing

public static final SubscriptionDir Outgoing
Outgoing subscription.

### InvalidDir

public static final SubscriptionDir InvalidDir
Invalid subscription direction.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static SubscriptionDir[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SubscriptionDir valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static SubscriptionDir fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static SubscriptionDir[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(SubscriptionDir[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()